Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2
Class JexlException.Property

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.jexl2.JexlException
                      org.apache.commons.jexl2.JexlException.Property

All Implemented Interfaces:
  Serializable

Enclosing class:
  JexlException

    public static class JexlException.Property

extends JexlException

Thrown when a property is unknown.

Since:
  2.1
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jexl2.JexlException
`JexlException.Cancel, JexlException.Method, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.Tokenization, JexlException.Variable`

Field Summary

Fields inherited from class org.apache.commons.jexl2.JexlException
`info, mark, NULL_OPERAND`

Constructor Summary
`JexlException.Property(JexlNode node, String var)` Creates a new Property exception instance.

Method Summary
`protected String` | `detailedMessage()` Accesses detailed message.
`String` | `getProperty()`

Methods inherited from class org.apache.commons.jexl2.JexlException
`getInfo, getMessage, parserError`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JexlException.Property

    public JexlException.Property(JexlNode node,
                                  String var)

  Creates a new Property exception instance.

  Parameters:
    `node` - the offending ASTnode
    `var` - the unknown variable

Method Detail

### getProperty

    public String getProperty()

  Returns:
    the property name

### detailedMessage

    protected String detailedMessage()

  Description copied from class: `JexlException`
  Accesses detailed message.

  Overrides:
    `detailedMessage` in class `JexlException`
  Returns:
    the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.